%define anolis_release 1
Name:           xwayland-run
Version:        0.0.4
Release:        %{anolis_release}%{?dist}
Summary:        Set of utilities to run headless X/Wayland clients

License:        GPL-2.0-or-later
URL:            https://gitlab.freedesktop.org/ofourdan/xwayland-run
Source0:        %{url}/-/archive/%{version}/%{name}-%{version}.tar.bz2

# https://gitlab.freedesktop.org/ofourdan/xwayland-run/-/merge_requests/19
# https://gitlab.freedesktop.org/ofourdan/xwayland-run/-/commit/2f43fc2d1b57c7945576bf2950b236416c0403dd
Patch1: 0001-wlheadless-Ignore-os.waitpid-1-0-error.patch
# https://gitlab.freedesktop.org/ofourdan/xwayland-run/-/merge_requests/21
# https://gitlab.freedesktop.org/ofourdan/xwayland-run/-/commit/d3ff26a72b28907599cc04b5d4537c4af05e2c52
Patch2: 0001-wlheadless-Set-sensible-defaults-for-XDG-dirs.patch
# https://gitlab.freedesktop.org/ofourdan/xwayland-run/-/merge_requests/22
# https://gitlab.freedesktop.org/ofourdan/xwayland-run/-/commit/3d0a3841226e8d48b5d48c2f69c69ff9d26006f9
Patch3: 0002-wlheadless-Wait-for-the-compositor-up-to-150-secs.patch

BuildArch:      noarch

BuildRequires:  meson >= 0.60.0
BuildRequires:  git-core
BuildRequires:  python3-devel
Requires:       (weston or cage or kwin-wayland or mutter or gnome-kiosk)
Requires:       xorg-x11-server-Xwayland
Requires:       xorg-x11-xauth
Requires:       dbus-daemon
Suggests:       mutter

# Provide names of the other utilities included
Provides:       wlheadless-run = %{version}-%{release}
Provides:       xwfb-run = %{version}-%{release}

%description
xwayland-run contains a set of small utilities revolving around running
Xwayland and various Wayland compositor headless.


%prep
%autosetup -S git_am


%build
%meson -Dcompositor=mutter
%meson_build


%install
%meson_install


%files
%license COPYING
%doc README.md
%{_bindir}/wlheadless-run
%{_bindir}/xwayland-run
%{_bindir}/xwfb-run
%{_datadir}/wlheadless/
%{_mandir}/man1/wlheadless-run.1*
%{_mandir}/man1/xwayland-run.1*
%{_mandir}/man1/xwfb-run.1*
%{python3_sitelib}/wlheadless/


%changelog
* Thu Feb 27 2025 Chang Gao <gc-taifu@linux.alibaba.com> - 0.0.4-1
- Import from upstream
